diff mbox series

[v1,1/4] bootstrap: Add dependency checks

Message ID 2106f3a4cdcd61c33a17f3f59063519d486f43ab.1515199383.git.geoff@infradead.org
State Superseded
Headers show
Series [v1,1/4] bootstrap: Add dependency checks | expand

Commit Message

Geoff Levand Jan. 6, 2018, 12:47 a.m. UTC
Signed-off-by: Geoff Levand <geoff@infradead.org>
---
 bootstrap | 11 +++++++++++
 1 file changed, 11 insertions(+)
diff mbox series

Patch

diff --git a/bootstrap b/bootstrap
index e72dad6..49a2ddf 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,3 +1,14 @@ 
 #!/bin/sh
 
+progs="autoconf automake libtoolize pkg-config"
+
+for p in ${progs}; do
+	if [ ! $(echo "$(which ${p})" | egrep "${p}") ]; then
+		echo "Please install ${p}"
+		result=1
+	fi
+done
+
+[ -z ${result} ] || exit 1
+
 exec autoreconf -f -i